Loading...
Searching...
No Matches
treeTraversal-inst.h File Reference

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.
namespace | gtsam::treeTraversal
| Internal functions used for traversing trees.

## Functions

template<class FOREST, typename DATA, typename VISITOR_PRE, typename VISITOR_POST>
void | gtsam::treeTraversal::DepthFirstForest (FOREST &forest, DATA &rootData, VISITOR_PRE &visitorPre, VISITOR_POST &visitorPost)
| Traverse a forest depth-first with pre-order and post-order visits.
template<class FOREST, typename DATA, typename VISITOR_PRE>
void | gtsam::treeTraversal::DepthFirstForest (FOREST &forest, DATA &rootData, VISITOR_PRE &visitorPre)
| Traverse a forest depth-first, with a pre-order visit but no post-order visit.
template<class FOREST, typename DATA, typename VISITOR_PRE, typename VISITOR_POST>
void | gtsam::treeTraversal::DepthFirstForestParallel (FOREST &forest, DATA &rootData, VISITOR_PRE &visitorPre, VISITOR_POST &visitorPost, int problemSizeThreshold=10)
| Traverse a forest depth-first with pre-order and post-order visits.
template<class FOREST>
FastVector< boost::shared_ptr< typename FOREST::Node > > | gtsam::treeTraversal::CloneForest (const FOREST &forest)
| Clone a tree, copy-constructing new nodes (calling boost::make_shared) and setting up child pointers for a clone of the original tree.
template<class FOREST>
void | gtsam::treeTraversal::PrintForest (const FOREST &forest, std::string str, const KeyFormatter &keyFormatter)
| Print a tree, prefixing each line with `str`, and formatting keys using `keyFormatter`.

## Detailed Description

Author
  Richard Roberts

Date
  April 9, 2013